System Management/User Configuration
POSTUser ConfigurationSince 4.10.0SynchronousAuth Required
Attach CCS Certificate to Account
Attach CCS Certificate to Account
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
accountUuidStringRequiredAccount UUID
Body Fields
certificateUuidStringUUID of the CCS certificate
stateStringEnable or disable. Specifies whether to enable UKey authentication for login when attaching the CCS certificate to the user. If set to enable, the user must pass UKey authentication for subsequent logins. If set to disable, UKey authentication is not enabled temporarily, but can be enabled later through UpdateCCSCertificateUserState.
system TagsListSystem tags
userTagsListUser tags
Responses
Endpoint
POST/zstack/v1/crypto/ccs-certificate/attach-account/{accountUuid}
/zstack/v1/crypto/ccs-certificate/attach-account/{accountUuid}
Request Example
curl -X POST 'http://{host}/zstack/v1/crypto/ccs-certificate/attach-account/{accountUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"certificateUuid":"<certificateUuid>","state":"<state>","system Tags":["<system Tags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "271c21f7ef8c4385b09846341cc9deac", "algorithm": "SM2", "format": "CER", "issuerDN": "C\u003dcn,O\u003dinfosec,OU\u003dsystem,CN\u003dca62_sm2", "subjectDN": "C\u003dCN,O\u003dZStack,OU\u003dZStack,CN\u003dZStackTest2", "serNumber": "13055887750776402041", "effectiveTime": "Oct 15, 2021 10:50:09 AM", "expirationTime": "Oct 15, 2024 10:50:09 AM" } }Change History
This API has no change history records yet.
